## Apache Zeta Components Manual :: Docs For Class ezcCacheStackableStorage

### Cache::ezcCacheStackableStorage

### Interface ezcCacheStackableStorage

Interface for stackable storage classes.

This interface must be implemented by storages that can be combined into a ezcCacheStack.

Source for this file: /Cache/src/interfaces/stackable_storage.php

Version: | //autogentag//

### Method Summary

public array(string) | `purge( [ $limit = null] )` Purge outdated data from the storage.
public void | `reset( )` Reset the complete storage.

### Methods

#### purge

array(string) purge( [int $limit = null] )

Purge outdated data from the storage.

This method purges outdated data from the cache. If $limit is given, a maximum of $limit items is purged. Otherwise all outdated items are purged. The method returns an array containing the IDs of all cache items that have been purged.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$limit` | int |

#### reset

void reset( )

Reset the complete storage.

This method resets the complete cache storage. All content (including content stored with the ezcCacheStackMetaDataStorage interfacer) must be deleted and the cache storage must appear as if it has just newly been created.

Documentation generated by phpDocumentor 1.4.3